### Method

# FwupdPlugin Device has_private_flag

#### Declaration [src]

    gboolean
    fu_device_has_private_flag (
      FuDevice* self,
      const gchar* flag
    )

#### Description [src]

Tests for a private flag that can be used by the plugin for any purpose.

Available since: | 1.6.2

#### Parameters

`flag` | `const gchar*`
| A device flag.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| No description available.